Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.model
Class OutcomesTable

    java.lang.Object
      org.jbehave.core.model.OutcomesTable

    public class OutcomesTable

extends Object

Nested Class Summary
`static class` | `OutcomesTable.Outcome<T>`
`static class` | `OutcomesTable.OutcomesFailed`

Constructor Summary
`OutcomesTable()`
`OutcomesTable(Keywords keywords)`
`OutcomesTable(Keywords keywords, String dateFormat)`

Method Summary
`
`<T> void`
` | `addOutcome(String description, T value, org.hamcrest.Matcher<T> matcher)`
`String` | `asString()`
`UUIDExceptionWrapper` | `failureCause()`
`String` | `getDateFormat()`
`List<OutcomesTable.Outcome<?>>` | `getFailedOutcomes()`
`List<String>` | `getOutcomeFields()`
`List<OutcomesTable.Outcome<?>>` | `getOutcomes()`
`String` | `toString()`
`void` | `verify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutcomesTable

    public OutcomesTable()

### OutcomesTable

    public OutcomesTable(Keywords keywords)

### OutcomesTable

    public OutcomesTable(Keywords keywords,
                         String dateFormat)

Method Detail

### addOutcome

    public <T> void addOutcome(String description,
                               T value,
                               org.hamcrest.Matcher<T> matcher)

### verify

    public void verify()

### failureCause

    public UUIDExceptionWrapper failureCause()

### getOutcomes

    public List<OutcomesTable.Outcome<?>> getOutcomes()

### getFailedOutcomes

    public List<OutcomesTable.Outcome<?>> getFailedOutcomes()

### getOutcomeFields

    public List<String> getOutcomeFields()

### getDateFormat

    public String getDateFormat()

### asString

    public String asString()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.